Welcome

Welcome to GPSolution®. This help file provides information on working with NovAtel's GPSolution software and the key features it offers. Select one of the links below for more information.

Features

  • Menus

  • Status and Control Windows

Getting Started

  • Connecting to the Receiver

  • Viewing Status Information

  • Entering Commands

  • Logging Data

  • Stopping Logging

  • Closing the Connection

Advanced Tasks

Troubleshooting

Product Updates

GM-14915046 Rev 4

© Copyright 2002-2004 NovAtel Inc. All rights reserved.


Features

GPSolution provides a graphical interface to control and monitor the operation of your NovAtel receiver. The functionality and information listed below can be accessed through menus and windows within the application.

The following features are included in GPSolution:

  • A graphical interface for configuring data logging in the Logging Control window

  • A Console to communicate directly with the receiver

  • A display of recent ASCII-format logs generated by the receiver in the ASCII Logs window

In addition, GPSolution provides the following status information about your receiver:

  • The location and PRN of satellites being tracked in the Constellation window

  • The Position of the receiver

  • A plot of the receiver's current and past positions in the Plan window

  • The Channel Tracking Status for the receiver's processing channels

  • The horizontal and vertical Velocity of the receiver


Menus

The following menus provide access to the key functionality in GPSolution.

Device | Gives options for controlling the application and the connection to the receiver.
View | Used to open the status and control windows.
Window | For arranging and selecting currently open windows.
Help | Provides access to help and version information for GPSolution.


Device Menu

The Device menu is used to control the application and the connection to the receiver. It also provides access to printing functionality.

For each item in the Device menu, the action that occurs when the item is selected is given below.

Menu Item | Action When Selected
Open... | Displays the Open dialog box, which allows you to create and open device configurations.
Update All Convert4 Log Definitions | An option that, when selected, indicates that GPSolution should perform a complete Convert database synchronization with the receiver the next time a device configuration is opened. See Synchronizing the Convert Database before enabling this option.
Status | Displays the Status dialog box, which provides details of the serial connection to the receiver, including bytes sent and received.
Reset | Resets the connected receiver and then re-establishes the communication session.
Close | Closes the active configuration.
Close All | Closes all open device configurations.
Print | Displays the Print dialog box to print the contents of the currently-selected window.
Print Setup... | Displays the Print Setup dialog box, which allows you to configure the printer options for printing data displayed in GPSolution.
Exit | Closes any open device configurations and exits GPSolution.


View Menu

The View menu provides access to the status and control windows, as well as the display options.

For each item in the View menu, the action that occurs when the item is selected is given below.

Menu Item | Action When Selected
Constellation Window | Displays the Constellation window.
Tracking Status Window | Displays the Channel Tracking Status window.
Position Window | Displays the Position window.
Velocity Window | Displays the Velocity window.
INS Window | Displays the INS Position, Velocity and Attitude window.
Plan Window | Displays the Plan window.
Console Window | Displays the Console window.
Ascii Messages Window | Displays the ASCII Logs window.
Logging Control Window | Displays the Logging Control window.
Options... | Displays the Options dialog box, which allows you to configure the display settings.

Related Topics:

Viewing Status Information

Configuring Display Settings


Window Menu

The Window menu is a standard menu provided in most applications to allow you to arrange the open windows.

For each item in the Window menu, the action that occurs when the item is selected is given below.

Menu Item | Action When Selected
Tile | Resizes and moves all open windows to fit them in a single layer so all windows are viewable at the same time, as shown below.
Cascade | Resizes and moves all open windows to fit them in multiple layers, with each layer offset from the previous, as shown below.
Arrange All | Arranges all minimized windows into rows starting in the lower right corner of the application window.

Below the Arrange All menu item, any open windows will be listed. To bring an open window to the front, select it from the list given in the Window menu.


Help Menu

The Help menu is used to access version and help information for GPSolution.

The action that occurs when each item in the menu is selected is given below.

Menu Item | Action When Selected
Contents | Displays the GPSolution help file with the Contents tab selected.
Index | Displays the GPSolution help file with the Index tab selected.
Search | Displays the GPSolution help file with the Search tab selected.
About... | Displays the About dialog box.


Status and Control Windows

The ability to control the operation of and view status information for your receiver is provided by the following windows within GPSolution. Each of these windows can be opened from the View menu or by clicking the appropriate button in the Window Toolbar when a device is connected. Select the button or the window name below for more information on each window.

Constellation | The location and PRN of satellites the receiver is tracking.
Channel Tracking Status | The status of all channels the receiver is tracking satellites on.
Position | The current position of the receiver.
Plan | A plot of the current and past positions of the receiver.
INS Window | An inertial navigation system (INS) position, velocity and attitude window.
Velocity | The speed and direction of the receiver.
Console | A console for communicating directly with the receiver.
ASCII Logs | A display of the ASCII-format logs generated by the receiver at the serial port GPSolution is connected to.
Logging Control | A graphical interface for configuring data logging.

Most of the windows can be re-sized and all the windows show the device configuration they apply to in the window title bar. For example, the data given in the Position window shown below applies to the device connected through the com2 configuration. The only exception is the Plan window, which is shared between all open configurations.

Related Topics:

Connecting to the Receiver


ASCII Logs Window

The ASCII Logs window displays any ASCII-format logs generated by the receiver at the serial port GPSolution is connected to. Up to 100 logs can be displayed in this window. New logs are added below the bottom line of text, and, when the maximum number of logs is reached, the oldest logs will be removed from the top to make room for new logs at the bottom.

Open this window by selecting Ascii Messages Window from the View menu or by selecting the [image] button in the Window Toolbar. Use the scroll bar at the right and bottom of the window to scroll through the display or use the mouse in one of the corners to re-size the window.

Right-click anywhere in the ASCII Logs window to open the menu below, which provides the ability to pause or clear the log display or change the font logs are displayed in.

*

Any logs that arrive while the log display is paused will be discarded.

Related Topics:

Logging Data


Channel Tracking Status Window

The Channel Tracking Status window displays key information for each of the receiver's processing channels, including the PRN of the satellite being tracked by that channel, whether the receiver has locked on to the satellite, and the condition of the signal being received from the satellite. The TRACKSTAT log, described in your product manuals, provides the data for many of the fields listed in this window. The number of channels displayed will depend on the model of your receiver and the text is color-coded to indicate the status of the channel.

Open this window by selecting Tracking Status Window from the View menu or by selecting the [image] button in the Window Toolbar.

Right-click in the Channel Tracking Status window to open the menu shown below. From this menu, you can choose to print the contents of the window, change the font used to display the data, or open the Options dialog box.


Console Window

The Console window provides a means for the user to communicate directly with the receiver. Commands can be sent to the receiver using this window and all Abbreviated ASCII-format messages are displayed.

W

Ensure all other windows are closed in GPSolution when entering the SAVECONFIG command in the Console window.

This window is always open when GPSolution is connected to a receiver. To bring the window to the front, select Console Window from the View menu or click the [image] button in the Window Toolbar.

Related Topics:

Entering Commands


Constellation Window

The Constellation window displays the azimuth and elevation of each satellite being tracked by the receiver. Concentric circles from 0° to 90° represent elevations from the horizon to directly overhead, respectively. The azimuth is mapped on a compass relative to true North. The red line indicates the lowest elevation at which satellites are tracked, or the elevation cut-off angle.

Each of the satellites that is being tracked is represented with a [image] icon at its position. The PRN of the satellite is displayed on the icon and color-coding is used to indicate the status of the satellite or the tracking channel. When a valid position has been achieved, dilution of precision (DOP) values are given in each of the four corners of the window.

Open this window by selecting Constellation Window from the View menu or by clicking the [image] button in the Window Toolbar.

Double-click on one of the satellite icons to display the Satellite Data for that satellite.

Double-click on another satellite icon to change the satellite for which data is displayed in the Satellite Data window. If multiple satellites are stacked on top of each other, repeatedly double-click the satellite icon on top to display information for each of the satellites at that position.

Right-click in the Constellation window to open the menu below, which provides you with options to print the contents of the window and change the font used to display data.


Logging Control Window

The Logging Control window provides a graphical interface for:

  • Initiating data logging to a file

  • Initiating logging to the receiver's serial ports

  • Specifying a time window for data logging

  • Stopping logging

  • Editing log settings

To display the Logging Control window, select Logging Control Window from the View menu or select the [image] button in the Window Toolbar.

Related Topics:

Logging Data

Specifying a Time Window for Data Logging


Plan Window

The Plan window provides real-time graphic plotting of the current position of each connected device under the Plan tab. The position data for each device is indicated through the use of one or more colored markers.

The latitude and longitude shown at the top of the window indicate the receiver's reference position, which is used as the center of the grid system. The receiver's subsequent positions, shown with a colored + marker, are given relative to this initial starting point. The current position is shown with a white x marker. Each device uses a unique color for its position markers, as indicated in the Legend area of the window.

Zoom in and out on the display area by first selecting the configuration to apply the zoom to from the Legend list. Then, select the Zoom In and Zoom Out buttons to zoom in or out, respectively. Alternately, click and drag your mouse to select a rectangular area. When the mouse button is released, the display will zoom in on the area selected. Select the Reset Plan button to clear the display.

To open this window, select Plan Window from the View menu or select the [image] button in the Window Toolbar.

Settings Tab

The Settings tab provides options for controlling the plan display. In the Overlay Selection list, you can select which configurations to display by enabling or disabling the check boxes next to the configuration names.

In the Properties group, you can enable options related to how the display tracks or zooms in on the position using the Auto Follow and Auto Zoom options. In addition, you can select whether or not the past receiver positions are displayed using the Show History option.

The Plan View field allows you to select a circular or grid display.


Position Window

The Position window displays:

  • The receiver's latitude, longitude and height

  • The receiver's date and time

  • The Solution Status

  • The number of seconds the current solution has been valid

  • The Position Type

Open this window by selecting Position Window from the View menu or the [image] button in the Window Toolbar.

Right-click in the Position window to open the following menu. This menu provides the ability to print the contents of the window, set the PC clock to the receiver's time, change the font used to display the position data, and set the units through the Options dialog box.


Velocity Window

The Velocity window displays vertical and horizontal speed and direction.

The direction dial on the left is a compass that displays the direction of motion of the receiver over ground. The red arrow indicates the direction of true North. The elevation dial on the right shows the direction of vertical motion relative to the horizontal plane.

The numeric displays within the dials represent the exact values of the horizontal and vertical directions. The velocity values in the four corners show the vector velocity as well as the vertical, North, and East velocity components.

Open this window by selecting the [image] button in the Window Toolbar.

Right-click in the Velocity window to open the menu shown below. From this menu, you can choose to print the contents of the window, change the font used in the window, or open the Options dialog box to edit the display settings for this window.


INS Position, Velocity and Attitude

Information in the INS Position, Velocity, Attitude window is only available if you have an INS-capable receiver model.

The INS window consists of 4 panes: INS Configuration and Status, Position, Velocity and Attitude. The name of the current configuration is part of the window's title.

The INS Configuration and Status pane displays the INS Status, the IMU type and the IMU port.

The Position, Velocity and Attitude panes in the window display data from the INSPVA log along with standard deviations (in brackets) calculated from the INSCOV log. Change the units that the data is displayed in by right-clicking on any pane and selecting Units... from the quick menu.

The layout for the window is configurable. The 4 panes can be organized as a 2x2 square, a 1x4 wide rectangle or a 4x1 tall rectangle. To change the layout, right-click on the window and select Layout. Also, once there is data in the panes, double-click in any pane and the window adjusts its size to fit the contents.

Configure the receiver's INS mode by specifying the type of IMU connected to your receiver and the IMU port on your receiver (AUX on a DL-4plus and COM3 on a ProPak-G2plus or a ProPak-LBplus) using the Configure INS box. To do this, right-click on the INS window and select Configure INS, see the dialog below.

When you have made your selections in the IMU Type and IMU Port fields, click on the Enable INS button to enable INS operation. You are then returned to the main INS window.

To deactivate the receiver's INS functionality, right-click in the INS Window to access the Configure INS box. When the Configure INS box appears, click on the Disable INS button.

No action is taken if you click on the Cancel button in the INS Config box.

*

You can alternatively use the SETIMUTYPE command and the INTERFACEMODE command to configure the receiver for INS operation in the Console window.

For example:

SETIMUTYPE IMU_HG1700_AG17

INTERFACEMODE AUX IMU IMU OFF

The other commands and logs mentioned above may also be entered directly through the Console window.

W

Ensure all other windows are closed in GPSolution when entering the SAVECONFIG command in the Console window.

Refer to your SPAN User Manual for more details on the SPAN-specific commands and logs above.


Getting Started

Before GPSolution can supply status information or be used to control the receiver, you must first set up the receiver as follows:

  1. Connect one of the receiver's serial ports to the PC's serial port.

  2. Power the receiver.

Then, connect to the receiver by creating and opening a new device configuration. See Connecting to the Receiver for more information.

Once a connection has been established, GPSolution can be used to view status information, enter commands, or log data.


Connecting to the Receiver

Once the receiver is powered and physically connected to the PC through its serial port, a new device configuration must be created. Then, the new configuration is opened to establish a serial communication session between GPSolution and the receiver.

To create and open a new configuration, select Open... from the Device menu.

In the Open dialog box, select the New... button.

In the New Config dialog box, enter a name for the configuration in the Name text box and then select the Settings... button.

Select the PC serial port the receiver is connected to from the PC Port drop-down list.

If you wish, select a different baud rate from the Baud Rate drop-down list.

*

GPSolution can communicate with the receiver at any of the baud rates listed, regardless of how the receiver's serial port is configured. The receiver's port configuration is temporarily set to the new rate and is then restored to the original value when the configuration is closed.

*

Baud rates higher than 115,200 bps are not supported by standard PC hardware. Special hardware is required to communicate at higher rates like 230,400 bps.

Select OK to set the serial device settings for the configuration.

In the New Config dialog box, select OK to create the new configuration.

If you select Update Log Definitions for Convert4 in the StartUp Options fields or from the Device menu, the Convert4 log definitions are updated when the configuration is opened. See also Synchronizing the Convert4 Database.

The new configuration is displayed in the Open dialog box. Select Open to connect to the receiver using the configuration.

As GPSolution establishes the communication session with the receiver, the following progress box will be displayed.

Once GPSolution is connected, the progress box will disappear and the Console window will open. GPSolution is now ready to be used to view status information, enter commands, or log data.

*

More than one device configuration can be open at one time. Therefore, you can connect to multiple serial ports on one receiver or to serial ports on multiple receivers. See Opening Multiple Configurations for more information.


Viewing Status Information

GPSolution offers a variety of status information for your receiver, including:

  • Details of satellites being tracked by each processing channel in the Channel Tracking Status window

  • Location of satellites in the Constellation window

  • Current position and time in the Position window

  • Plot of position history in the Plan window

  • Current velocity in the Velocity window

  • SPAN data in the INS Position, Velocity and Attitude window

To display this information, select the appropriate entry in the View menu or select the corresponding button in the Window Toolbar.

Related Topics:

Status and Control Windows


Entering Commands

Commands can be sent to the receiver from GPSolution using the Console window.

W

Ensure all other windows are closed in GPSolution when entering the SAVECONFIG command in the Console window.

To open this window, select Console Window from the View menu or select the [image] button in the Window Toolbar.

The [COM] prompt in the display area of the window indicates that the receiver is ready to accept commands.

At the bottom of the Console window, a text box is provided for command entry. Click anywhere in the text box to display a cursor, which indicates that a command string can be entered.

Enter a command string in the text box. Commands can be entered in any of the three formats. To send the completed command string to the receiver, either press the Enter key on your keyboard or select the Enter button to the right of the command entry box.

The command string will be echoed back in the display area of the Console window and, if response generation is enabled, a response will be displayed. Any Abbreviated ASCII logs that are requested will be shown in the display area as well.

When the cursor is displayed in the command entry box, use the up and down arrow keys (£ and ¤) to move through a list of recently-entered commands.


Logging Data

There are two ways to initiate data logging to the receiver's serial ports. You can either:

  • Enter the LOG command in the Console window, or

  • Use the interface provided in the Logging Control window.

Your product user manuals and the topic Entering Commands provide information on using the LOG command. Alternately, the Logging Control window offers a graphical interface to initiate:

  • Logging to one or more of the receiver's serial ports

  • Logging to a file

*

Ensure the Power Settings on your PC are not set to go into Hibernate or Standby modes. Data will be lost if one of these modes occurs during a logging session.

Related Topics:

Stopping Logging

Specifying a Time Window for Data Logging


Logging to a Serial Port

To initiate logging to the receiver's serial ports, first select Logging Control Window from the View menu or select the [image] button in the Window Toolbar.

In the Logging Control window, select the Edit Selection button to the right of the Current Log Selection list.

Locating the Log

Use the scroll bar in the Common Log list to find the name of the log to be selected. If the log you wish to select is not shown, select the View all logs check box. This will cause all available logs to be displayed.

For logs that are available in both Binary and ASCII formats, two entries are provided in the log list. The Binary version of the log has the letter B at the end of the log name and shows (B) at the beginning of the log description. ASCII logs show the letter A at the end of the log name and (A) at the beginning of the description.

Selecting the Serial Port

To select the serial port to send the log to, click in the box to the left of the log name under the column labelled 1, 2, or 3 for COM 1, COM 2, or COM 3 respectively.

*

Not all NovAtel receivers have a COM 3 serial port. Please check your enclosure or product documentation to verify a COM 3 port is provided before selecting COM 3.

An [image] marker will be displayed in the column, indicating that the log will be sent to that serial port.

Selecting a Trigger

A default trigger is set when the log is selected and is displayed in the Trigger column to the right of the log name.

To change the trigger, select the appropriate trigger type from the list of Trigger Type radio buttons.

If the OnTime trigger is selected, use the Period scroll bar or text box to select the period between logs. Select the Hold check box to enable the hold feature for this log. Use the Offset scroll bar to set the number of seconds to wait before the first log is output.

To apply the changes to the trigger, click on the old value shown in Trigger column in the log list.

The Trigger column will update to show the new values.

Selecting Additional Logs

Repeat the process given in the previous sections to select more logs for output to the receiver's serial ports.

*

Up to 15 logs can be selected at any time.

Saving the Selections

Once all the desired logs have been selected, select the Submit button to save the new selections.

The list of selected logs will be displayed under the title Current Log Selection.

Selecting a File

Even if you have specified that the data should only be sent to the receiver's serial ports, rather than to a file, you must specify a file in order to begin logging. This file will be created if it does not already exist, but the logs will not be saved to it. To specify a file, enter the full path and file name for the file in the Target File field.

If you do not know the path or file name, select the Browse... button. In the Save As window, move to the folder the file exists in or should be created in. Then, select the existing file or enter the name of the file to create in the File name field. Select the extension for the file name in the Save as type field and select Save to create or select the file.

To set a limit on the size of the file, enable the Max File Size option and enter the desired maximum size of the file in kilobytes. Once the maximum size is met, logging will be automatically stopped.

To set a date and time to start and stop logging, see Specifying a Time Window for Data Logging.

Initiating Logging

Once the file is specified, select the Start Log button to begin logging.

If the file already exists, a message box is displayed asking if the file should be overwritten or appended to. Select Yes to overwrite the existing file or select No to append to it.

Data logging to the selected serial ports will begin immediately.

Related Topics:

Specifying a Time Window for Data Logging

Logging to a File

Stopping Logging

Editing Log Settings

Logging Control Window


Logging to a File

To initiate logging to a file, first select Logging Control Window from the View menu or select the [image] button in the Window Toolbar.

In the Logging Control window, select the Edit Selection button to the right of the Current Log Selection list.

Locating the Log

Use the scroll bar in the Common Log list to find the name of the log to be selected. If the log you wish to select is not shown, select the View all logs check box. This will cause all available logs to be displayed.

For logs that are available in both Binary and ASCII formats, two entries are provided in the log list. The Binary version of the log has the letter B at the end of the log name and shows (B) at the beginning of the log description. ASCII logs show the letter A at the end of the log name and (A) at the beginning of the description.

Enabling Logging to a File

To save the log to a file, click in the box to the left of the log name under the column labelled Save to file.

A [image] marker will be displayed in the column, indicating that the log will be saved to a file.

Selecting a Trigger

A default trigger is set when the log is selected and is displayed in the Trigger column to the right of the log name.

To change the trigger, select the appropriate trigger type from the list of Trigger Type radio buttons.

If the OnTime trigger is selected, use the Period scroll bar or text box to select the period between logs. Select the Hold check box to enable the hold feature for this log. Use the Offset scroll bar to set the number of seconds to wait before the first log is written.

To apply the changes to the trigger, click on the old value shown in Trigger column in the log list.

The Trigger column will update to show the new values.

Selecting Additional Logs

Repeat the process given in the previous sections to select more logs for output to the file.

*

Up to 15 logs can be logged at any time.

Saving the Selections

Once all the desired logs have been selected, select the Submit button to save the new selections.

The list of selected logs will be displayed under the title Current Log Selection.

Selecting a File

To specify a file to save the log data to, enter the full path and file name for the file in the Target File field.

If you do not know the path or file name, select the Browse... button. In the Save As window, move to the folder the file exists in or should be created in. Then, select the existing file or enter the name of the file to create in the File name field. Select the extension for the file name in the Save as type field and select Save to create or select the file.

To set a limit on the size of the file, enable the Max File Size option and enter the desired maximum size of the file in kilobytes. Once the maximum size is met, logging will be automatically stopped.

To set a date and time to start and stop logging, see Specifying a Time Window for Data Logging.

Initiating Logging

Once the file is specified, select the Start Log button to begin logging.

If the file already exists, a message box is displayed asking if the file should be overwritten or appended to. Select Yes to overwrite the existing file or select No to append to it.

The data will be logged to the specified file. During file logging, the number of logs written to the file is shown in the Written field and the size of the file is displayed in the Size field.

Related Topics:

Specifying a Time Window for Data Logging

Logging to a Serial Port

Stopping Logging

Editing Log Settings

Logging Control Window


Stopping Logging

To stop logging, both to the receiver's serial ports and the currently selected file, select the Stop Log button in the Logging Control window.

Logging will stop immediately and you will be able to edit the log settings or the time window for the next logging session.

Related Topics:

Logging Data

Editing Log Settings


Closing the Connection

To close the connection between GPSolution and the receiver, select Close from the Device menu.

All open status and control windows will automatically be closed and the communication session will be ended.

*

The next time you open the device configuration, GPSolution will restore the position and size of any status and control windows that were open when you closed the configuration. It will also restore the data logging settings in the Logging Control window.

To close all open device configurations, select Close All from the Device menu.

Related Topics:

Opening Multiple Configurations


Advanced Tasks

In addition to the basic tasks needed to get started, GPSolution offers advanced functionality, including:

  • Printing the contents of the status and control windows

  • Configuring the display settings

  • Editing log settings

  • Clearing all log settings

  • Specifying a time window for data logging

  • Editing device configurations

  • Opening multiple configurations

  • Deleting a device configuration

  • Clearing the ASCII Logs window

  • Setting the PC clock to the receiver's clock

Related Topics:

Features

Getting Started


Printing the Window Contents

The contents of any of the status and control windows can be printed to provide a hard-copy record of data or receiver settings. To print the window contents, open or select the window you wish to print.

Then, select Print from the Device menu.

In the Print dialog box, select the printer and output settings and then select the OK button to send the data to the printer.

*

Only the currently visible contents of the window will be printed. If data is displayed in areas out of current view, use the scroll bars or resize the window to display the data to be printed.

Related Topics:

Print Dialog Box

Print Setup Dialog Box


Configuring Display Settings

To configure how the data provided by the receiver is displayed, select Options... from the View menu.

The Options dialog box will be displayed. In this dialog box, you can control the units data is displayed in and the fields shown in the Channel Tracking Status window. See Options Dialog Box for more information on the options available.


Editing Log Settings

To edit the settings specifying which logs to send to the receiver's serial port or save to a file, first select Logging Control Window from the View menu or select the [image] button in the Window Toolbar to open the Logging Control window.

Then, after logging has been stopped, select the Edit Selection button to the right of the Current Log Selection list.

*

Log settings cannot be edited while logging is occurring.

Locating the Log

Use the scroll bar in the Common Log list to find the name of the log for which the settings are to be edited. If the log you wish to edit is not shown, select the View all logs check box. This will cause all available logs to be displayed.

For logs that are available in both Binary and ASCII formats, two entries are provided in the log list. The Binary version of the log has the letter B at the end of the log name and shows (B) at the beginning of the log description. ASCII logs show the letter A at the end of the log name and (A) at the beginning of the description.

Editing the Settings

To enable or disable the serial port output, click in the appropriate Com column to display or remove the [image] marker.

To enable or disable the option to save the log to a file, click in the Save to file column to display or remove the [image] marker.

To change the trigger, select the log name and set the new values using the Trigger Type and On Time Details controls. To apply the changes to the trigger, click on the old value shown in Trigger column in the log list.

*

Asynchronous logs, such as MATCHEDPOS, should only be logged ONCHANGED. Otherwise, the most current data is not output when it is available. This is especially true of the ONTIME trigger, which may cause inaccurate time tags to result.

Use the ONNEW trigger with the MARKTIME or MARKPOS logs.

Saving the Changes

Once the changes are complete, select the Submit button to save the changes to the logging configuration.

The next time you select the Start Log button, the new log settings will be used.

Related Topics:

Logging Data

Stopping Logging


Clearing All Log Settings

To clear all log settings, first select Logging Control Window from the View menu or select the [image] button in the Window Toolbar to open the Logging Control window.

Then, when logging is not occurring, select the Edit Selection button to the right of the Current Log Selection list.

*

Log settings cannot be edited while logging is occurring.

Then, select the Clear button.

*

The Clear button removes all settings for all logs. No data will be logged to any port or any file.

Select the Submit button to save the changes.

Related Topics:

Editing Log Settings

Logging Data

Stopping Logging


Specifying a Time Window for Data Logging

GPSolution provides the option to control when and for how long data logging occurs to either a serial port or a file. A time window for data logging can be specified in the Logging Control window. To set a time window when configuring data logging, first click to enable the Time Windowing check box.

When the Time Windowing option becomes enabled, the Set Time Window dialog box is displayed. Select the time standard to use when specifying the time window from the Display Time options.

The date and time to start logging are shown in the Start Time field. The date and time to stop logging are displayed in the Stop Time field.

Use the Start and Stop scroll bars to edit the values displayed in the Start Time and Stop Time fields.

Select and drag the [image] marker to change the Start Time and Stop Time values.

You can also use the [image] or [image] buttons to increase or decrease the Start Time and Stop Time values in increments. The size of the increment is controlled by the Scroll PageBy and PageBy Min/Hour/MultiHour fields. By default, the start and stop times will change by ten seconds each time the buttons are selected. To scroll by 100, 1000, or 10000 seconds, select the appropriate option in the Scroll PageBy field.

To scroll by minutes, hours, or multiple hours, enable the PageBy Min/Hour/MultiHour option and then select the appropriate value from the Scroll PageBy field.

The length of the time window from start to stop is displayed in the Logging Period field.

When the Start Time and Stop Time fields are set correctly, select the OK button to save the values.

To enable logging to begin at the Start Time, select the Start Log button.

*

You must select the Start Log button for logging to begin at the Start Time. If you do not, no logging will occur when the Start Time arrives.

When the Start Time arrives, the logs shown in the Current Log Selection list will be logged until the Stop Time.

Related Topics:

Logging Data


Editing a Device Configuration

To edit a device configuration, select Open... from the Device menu.

Select the name of the configuration to be changed from the Available device configs list in the Open dialog box.

*

You cannot edit the settings for a device configuration that is currently open. Any open configurations will not be listed in the Open dialog box. You must close the configuration first and then open the Open dialog box.

Select the Edit... button to the left of the Available device configs list.

In the Edit Config dialog box, you can select the Settings... button to change the port configuration or enable or disable the AutoStart and AutoReset options.

If you select Update Log Definitions for Convert4 in the StartUp Options fields or from the Device menu, the Convert4 log definitions are updated when the configuration is opened. See also Synchronizing the Convert4 Database.

Once you have finished making changes, select the OK button in the Edit Config dialog box to save the changes.

Related Topics:

Deleting a Device Configuration

Connecting to the Receiver


Opening Multiple Configurations

More than one device configuration can be open at one time. Therefore, you can connect to multiple serial ports on one receiver or to serial ports on multiple receivers. Each open configuration has its own set of status and control windows. To determine which configuration the selected window applies to, read the name given in the window's title bar.

To open an additional device configuration, follow the same steps used to open the first configuration, as given in Connecting to the Receiver.

When more than one device configuration is open and an operation is selected, like closing the connection, that operation is applied to the active configuration. The active configuration is the configuration currently selected in GPSolution and is shown in the Active Config box, which is part of the Config Toolbar.

Other open configurations can be selected to become the active configuration by selecting the configuration name from the Active Config drop-down list box.

Related Topics:

Connecting to the Receiver

Closing the Connection


Deleting a Device Configuration

To delete a device configuration, select Open... from the Device menu.

Select the name of the configuration to be deleted from the Available device configs list in the Open dialog box.

*

You cannot delete a device configuration that is currently open. Any open configurations will not be listed in the Open dialog box. You must close the configuration first and then open the Open dialog box.

Select the Delete button to the left of the Available device configs list.

The configuration will be deleted from the Available device configs list.

Related Topics:

Editing a Device Configuration

Connecting to the Receiver


Clearing the ASCII Logs Output

To clear the display in the ASCII Logs window, right-click in the window.

Select Clear from the menu that opens.

The logs will be cleared.

*

Unless you have configured the receiver to save the logs to a file, any of the logs displayed in the ASCII Logs window are not saved anywhere else. Be sure to record any important data before clearing the display.

Related Topics:

Logging Data

ASCII Logs Window


Setting the PC Clock to Match the Receiver Clock

When saving data from the receiver to the PC, it is important to have an accurate PC clock. To set the PC clock to the receiver time, first select Position Window from the View menu to open the Position window.

Then, right-click in the Position window to open the menu shown below and select Set PC Clock.

The PC clock will be set to the receiver's date and time and a confirmation message will appear. Select OK to close the message box.


Troubleshooting

Information to help you resolve some common problems with GPSolution is provided in this section. Please select the appropriate link for the problem you are having.

  • GPSolution can't connect to the receiver

  • I can't open any windows

  • No data is being logged

  • The wrong configuration is being closed

If you are unable to resolve the problem or the problem is not listed, please contact Customer Service.


GPSolution Can't Connect to the Receiver

GPSolution Can't Connect to My Receiver

If GPSolution cannot establish a connection to the receiver, check the following:

  1. The receiver is properly powered.

  2. The receiver's serial port is connected to the PC's serial port with a serial cable.

  3. The correct device configuration was selected in the Open dialog box.

  4. The correct PC serial port is selected in Serial Device Settings dialog box, accessed from the Edit Config dialog box.

If the above steps did not resolve the problem, remove and then reapply power to the receiver and attempt to open the connection again.

Related Topics:

Customer Service


I Can't Open Any Windows

The status and control windows can only be opened when GPSolution is connected to the receiver. If none of the items in the View menu are enabled, as shown below, there is no connection. Either open a connection if you haven't already attempted to or view the troubleshooting topic GPSolution Can't Connect to the Receiver.

Related Topics:

Customer Service


No Data is Being Logged

If no data is being logged, check the following:

  1. The correct port is selected in the Logging Control window for logging to a serial port. An [image] marker under the Com 1 column indicates that the log will be sent to the COM 1 port on the receiver. An [image] marker under the Com 2 column indicates the log will be sent to COM 2 and an [image] marker under the Com 3 column indicates that the log will be sent to COM 3 on the receiver.

  2. The Save to file column for the log shows a [image] marker for logging to a file.

  3. The Time Windowing option is disabled.

  4. A file has been specified in the Target File field.

  5. The Start Log button has been selected. (If it has been selected already, it will be greyed out.)

Related Topics:

Customer Service


The Wrong Configuration is Being Closed

When you have multiple configurations open, to close a specific configuration you must first make that configuration the active configuration. To do so, select the name of the configuration from the Active Config drop-down list in the Config toolbar.

Then, select the Close item in the Device menu to close that configuration and leave the remaining configurations open.

Related Topics:

Customer Service


Customer Service

If you have any questions or concerns regarding either GPSolution or your NovAtel receiver, please contact our Customer Service group.

Phone: | 1-800-NOVATEL (US & Canada) 403-295-4900
Fax: | 403-295-4901
Email: | support@novatel.ca
Web: | www.novatel.com
Mail: | 1120-68th Avenue NE Calgary, AB, Canada T2E 8S5


Updates

PRODUCT Updates

The latest GPSolution software can be found in the Firmware and Software Updates section of the NovAtel website.

Check the Documentation Updates section for updates to this help file and other product documentation included with your receiver.

For assistance with product updates, please contact Customer Service using the information provided below.

Phone: | 1-800-NOVATEL (US & Canada) 403-295-4900
Fax: | 403-295-4901
Email: | support@novatel.ca
Web: | www.novatel.com
Mail: | 1120-68th Avenue NE Calgary, AB, Canada T2E 8S5


Synchronizing the Convert Database

NovAtel's Convert application, which can be accessed from the same Start menu folder as GPSolution, converts data files between Binary, ASCII, and RINEX formats. To do this, it uses a database containing instructions for converting all possible data between the three formats. These instructions are called message definitions.

Typically, when GPSolution opens a device configuration, it checks to see if the receiver has any new message definitions and, if so, copies the new definitions to the Convert database. However, if the Update Convert4 Log Definitions option in the Device menu is enabled, GPSolution will look for any new message definitions and any message definitions that have changed and update the database accordingly.

*

The only time message definitions will be changed is if your receiver firmware has been updated. Also, this database is only used by Convert; it is simply updated by GPSolution. Therefore, there is only a need to do a full synchronization if both of the following conditions are met:

  • The receiver firmware has been updated, and

  • You use the Convert application.

*

A full synchronization of the Convert database can take many minutes.


Edit Config Dialog Box

The Edit Config dialog box allows you to edit some of the settings for a device configuration. It can be accessed by selecting a device configuration and then the Edit... button in the Open dialog box.

Each control in the dialog box is described in the table below.

Control | Control Type | Description
Settings | Button | Opens the Serial Device Settings dialog box.
AutoStart | Check box | Enables or disables the AutoStart option to open the configuration when GPSolution is launched.
AutoReset | Check box | Enables or disables the AutoReset option to reset the device when the configuration is opened.
Update Log Definitions for Convert4 | Check box | Enables or disables log definition updates for Convert4 when the configuration is opened. See also Synchronizing the Convert4 Database.
OK | Button | Saves the changes to the configuration's settings and closes the dialog box.
Cancel | Button | Closes the dialog box without saving the changes.
Help | Button | Opens the GPSolution help file that you are currently reading.

Related Topics:

Editing a Device Configuration


New Config Dialog Box

The New Config dialog box is used to create a new device configuration. It can be accessed by selecting the New... button in the Open dialog box.

Each control in the dialog box is described in the table below.

Control | Control Type | Description
Name | Text box | Field to enter the name of the new device configuration.
Settings | Button | Opens the Serial Device Settings dialog box.
AutoStart | Check box | Enables or disables the AutoStart option to open the configuration when GPSolution is launched.
AutoReset | Check box | Enables or disables the AutoReset option to reset the device when the configuration is opened.
Update Log Definitions for Convert4 | Check box | Enables or disables log definition updates for Convert4 when the configuration is opened. See also Synchronizing the Convert4 Database.
OK | Button | Creates the new configuration using the values specified and closes the dialog box.
Cancel | Button | Closes the dialog box without creating the new configuration.
Help | Button | Opens the GPSolution help file that you are currently reading.

Related Topics:

Connecting to the Receiver


Open Dialog Box

The Open dialog box provides buttons to create, open, edit, or delete device configurations. It can be accessed by selecting Open... from the Device menu.

Each control in the dialog box is described in the table below.

Control | Control Type | Description
Available device configs | List box | A list of available device configurations to select from for opening, deleting, and editing.
Open | Button | Opens the selected configuration.
Cancel | Button | Closes the Open dialog box.
New... | Button | Opens the New Config dialog box to create a new configuration.
Edit... | Button | Opens the Edit Config dialog box to edit the settings for the selected configuration.
Delete | Button | Deletes the selected configuration.

Related Topics:

Connecting to the Receiver

Editing a Device Configuration

Deleting a Device Configuration


Options Dialog Box

The Options dialog box provides four tabs to change how the application operates and how it displays data. It can be accessed by selecting the Options... item from the View menu. The tabs, which are described in detail below, are:

  • Units Tab

  • Toolbars Tab

  • Tracking Status Window Tab

  • Velocity Window Tab

From each tab, the following buttons are accessible.

Button | Description
OK | Saves and applies the changes to the options in all the tabs and closes the dialog box.
Cancel | Closes the dialog box without saving or applying the changes.
Apply | Saves and applies the changes to options in all the tabs without closing the dialog box.
Help | Opens the GPSolution help file that you are currently reading.

Units Tab

The Units tab contains the options to specify what units data is displayed in.

The fields in this tab are described in the table below.

Field | Description
Position | The format in which to display latitude and longitude values.
Velocity | The time units to use when displaying velocity data.
Height | The reference system the height data is given in.
Time | The system to use when displaying time values.
Distance | The measurement standard to use for distance data.

Toolbars Tab

The Toolbars tab allows you to choose which toolbars to display in the main GPSolution window.

Each of the fields in this tab are described in the table below.

Field | Description
Device Toolbar | Option to display the Device Toolbar.
Window Toolbar | Option to display the Window Toolbar.
Config Toolbar | Option to display the Config Toolbar.

Tracking Status Window Tab

The Tracking Status Window tab contains check boxes for selecting what fields to display in the Channel Tracking Status window.

Velocity Window Tab

The Velocity Window tab provides options for filtering data to be displayed in the Velocity window.

The fields in the Velocity Window tab are described in the table below.

Field | Description
Velocity noise filter | Option to enable filtering of data to show only values higher than or equal to the number specified in the Minimum field.
Minimum | Text box and slider to select the minimum velocity in m/s to be shown in the Velocity window when the Velocity noise filter option is enabled.


Print Dialog Box

The standard Print dialog box allows you to select a printer, set printer options, and finally send the data to the printer for output. It can be accessed by selecting the Print item from the Device menu.

The OK button saves any changes to the print setup and sends the data to the printer. The Cancel button closes the dialog box without printing.

Related Topics:

Printing the Window Contents

Print Setup Dialog Box


Print Setup Dialog Box

The standard Print Setup dialog box allows you to select a printer and set printer options to be used when the document is printed. It can be accessed by selecting the Print Setup... item from the Device menu.

The OK button saves any changes to the print setup while the Cancel button discards changes.

Related Topics:

Printing the Window Contents

Print Dialog Box


Serial Device Settings Dialog Box

The Serial Device Settings dialog box provides options to configure how a serial communication session is opened. It can be accessed by selecting the Settings... button from the New Config or Edit Config dialog boxes.

Each control in the dialog box is described in the table below.

Control | Control Type | Description
PC Port | Drop-down list box | List to select the PC port the device is connected to.
Baud Rate | Drop-down list box | List to select the baud rate for serial communication with the device. See note below.
Use hardware handshaking | Check box | Enables or disables the use of hardware handshaking with the device.
Passive Connection | Check box | If enabled, GPSolution does not attempt to alter the receiver's serial port configuration to match the baud rate and hardware handshaking settings in the dialog. Also, no attempt is made to confirm that a NovAtel receiver is connected to the selected PC port. See note below.
Read Only | Check box | If enabled, GPSolution does not send any commands to the receiver (not even from the console window) and some windows will not be able to display any information.
OK | Button | Sets the serial ports settings to the specified values and closes the dialog box.
Cancel | Button | Closes the dialog box without saving changes.
Help | Button | Opens the GPSolution help file that you are currently reading.

*

Baud rates higher than 115,200 bps are not supported by standard PC hardware. Special hardware is required to communicate at higher rates like 230,400 bps.

In passive mode, if the receiver's baud rate does not match that selected, GPSolution is unable to communicate with the receiver.

Related Topics:

Connecting to the Receiver

Editing a Device Configuration


Status Dialog Box

The Status dialog box displays information related to the serial port communication session when a device configuration is open. It can be accessed by selecting the Status item from the Device menu.

The PC Serial Port Status indicators use colors the show the state of the RS-232 signals. The data counters show the quantity of Abbreviated ASCII, ASCII, and Binary bytes received. They also show the number of cyclic redundancy check (CRC) errors that have been found in the incoming data as well as the number of unknown bytes.

The data counter display can be toggled on or off using the More and Less buttons.

To reset the counters, select the Clear button.

Related Topics:

Connecting to the Receiver


Power Settings

If the power options on your PC are not set correctly, Windows can put the PC into Standby or Hibernate mode during a GPSolution data logging session, resulting in loss of data.

To check the settings, select Power Options in the Control Panel of Windows. The Power Options Properties dialog appears with four tabs:

Ensure that the System standby option is set to Never in the Power Schemes tab above.

Ensure the Prompt for password when computer goes off standby option is not checked in the Advanced tab:

Also, ensure the Enable Hibernate support option is not checked in the Hibernate tab:


Abbreviated ASCII Format

One of three formats accepted by NovAtel receivers for commands and logs. Each Abbreviated ASCII message consists of the log or command name followed by data fields and a carriage return and line feed.

When communicating with the receiver directly through the Console window or a terminal, Abbreviated ASCII is the easiest format to use. See your product user manuals for more information.


About Dialog Box

A dialog box containing version information for GPSolution, as shown below.


Active Configuration

As more than one device configuration can be open, the active configuration is the configuration currently selected in GPSolution. The active configuration is shown in the Active Config box, which is part of the Config Toolbar.

When an operation is selected, like closing the connection, that operation is applied to the active configuration.

Other configurations can be selected to become the active configuration by selecting the configuration name from the Active Config drop-down list box.


ASCII Format

One of three formats accepted by NovAtel receivers for commands and logs. Each ASCII message consists of a header, data fields, a check sum, and a carriage return and line feed. See your product user manuals for more information.


Asynchronous

A type of log for which the data is generated at irregular intervals. Asynchronous logs should not be set to output at a regular interval as changes to the data will not be captured the moment they are available. Examples of asynchronous logs are RXSTATUSEVENT and ALMANAC.


Auto Follow

An option in the Plan window that, when enabled, causes the display grid to move around as necessary to follow the receiver's position.


Auto Zoom

An option in the Plan window that, when enabled, causes the display grid to automatically zoom in or out to show the markers for the receiver's past and present position.


AutoReset

An option in the New Config or Edit Config dialog boxes to send a reset command to the receiver each time the configuration is opened.


AutoStart

An option in the New Config or Edit Config dialog boxes to automatically open the configuration when GPSolution is launched.


Azimuth

Direction, as given by the full-circle (360º) angle measured clockwise from the North pole. Often used interchangeably with Bearing.


Binary Format

One of three formats accepted by NovAtel receivers for commands and logs. Each Binary message consists of a header, data fields, and a check sum, all in binary. See your product user manuals for more information.


Color Code

The status of the channels being used and the satellites being tracked by the receiver is indicated using color-coding in the Constellation and Channel Tracking Status windows. The meaning of each color is given in the table below.

Color | Description
 | The channel is idle.
 | The channel is searching for a satellite or there is an unknown error.
 | The channel is in wide frequency band pull-in state.
 | The channel is in frequency-lock loop state or is in narrow frequency band pull-in state.
 | The channel is attempting to reacquire the satellite.
 | The channel is attempting a fast reacquisition.
 | The channel is in alignment mode.
 | The channel is locked to a satellite and the observations are good.
 | The channel is locked to a satellite but the satellite has been locked out by the user.
 | The channel is locked to a satellite but the ephemeris data is old (not updated within the last three hours).
 | The channel is locked to a satellite but an error has occurred. Possible errors include a satellite coordinate error, an elevation error due to the satellite being below the cut-off angle, large misclosure due to an excessive gap between the estimated and actual positions, or an invalid IODE (Issue of Data Ephemeris).
 | The channel is locked to a satellite but the satellite has been rejected due to a low carrier to noise ratio.
 | The channel is locked to a satellite but ephemeris data for the satellite has not yet been received.
 | The channel is locked to a satellite but the ephemeris data indicates the satellite is unhealthy.
 | The channel is locked to a satellite but there is no observation.
 | The channel is locked to a satellite but there was an anomaly during computation of the satellite's position.
 | The channel is locked to a satellite but no compatible ionospheric or differential correction is available for the satellite.


Config Toolbar

A toolbar containing controls for device configurations.

It is displayed when the Config Toolbar option in the Toolbars tab of the Options dialog box is enabled.


Cyclic Redundancy Check

Cyclic Redundancy Check (CRC)

A 32-bit value calculated by feeding the data in a message into a mathematical algorithm. It is appended to ASCII and Binary format messages and is used to verify that the received data is valid.


Device Configuration

A device configuration is a set of values used to open a serial communication session with the receiver. Each device configuration has a name and contains settings for how the device is connected to the PC. To connect to the receiver, a device configuration is "opened".


Device Toolbar

A toolbar containing buttons for opening a device configuration, printing data, or displaying the About dialog box.


DOP

Dilution of Precision (DOP)

A value representing the uncertainty of the position solution based on the current satellite geometry. The lower the value, the greater the confidence in the solution. DOP can be expressed in the following forms:

GDOP | Geometric Dilution of Precision | Uncertainty of all parameters (latitude, longitude, height, clock offset)
PDOP | Position Dilution of Precision | Uncertainty of the three-dimensional parameters (latitude, longitude, height)
HTDOP | Horizontal and Time Dilution of Precision | Uncertainty of the two-dimensional and time parameters (latitude, longitude, time)
HDOP | Horizontal Dilution of Precision | Uncertainty of the two-dimensional parameters (latitude, longitude)
VDOP | Vertical Dilution of Precision | Uncertainty of the height
TDOP | Time Dilution of Precision | Uncertainty of the clock offset


Elevation Cut-Off Angle

The lowest angle at which satellites will be tracked when using automatic search methods. The angle can be set using the ECUTOFF command. See your product manuals for more details.


Formats

There are three formats for commands and logs accepted and generated by NovAtel receivers. They are:

  • Abbreviated ASCII

  • ASCII

  • Binary


Hardware Handshaking

A type of communications protocol that uses hardware signals to control the flow of data.


Hold

An option set when a log is enabled to specify whether or not the log can be disabled using the UNLOGALL command, which disables all logs. Please see your product user manuals for more information on the Hold option and the UNLOGALL command.


Log Types

Logs are divided into three types based on when the log data is generated.

Type | Description
Synchronous | The log data is generated on a regular schedule.
Asynchronous | The log data is generated at irregular intervals.
Polled | The log data is generated only when requested. Typically, the data in polled logs, such as configuration settings, does not change.


PC Serial Port Status

The status of the RS-232 signals is indicated by the PC Serial Port Status lights in the Status dialog box.

The table below describes the meaning behind the colors of each indicator.

Indicator | Green | Red
CTS | CTS signal is high. | CTS signal is low.
DSR | DSR signal is high. | DSR signal is low.
DCD | DCD signal is high. | DCD signal is low.
RI | RI signal has recently transitioned to high. | RI signal is either low or has been high for a while.
TXD | Data is being transmitted. | No data is being transmitted.
RXD | Data is being received. | No data is being received.
ERR | A line error has just occurred. | No line error has occurred at this point in time.
BRK | A line break has just occurred. | No line break has occurred at this point in time.


Polled

A type of log for which the log data is generated only when requested. Typically, the data in polled logs, such as configuration settings, does not change.


Position Type

The type of positioning mode the receiver is currently using. The possible values are listed in the table below. See your product user manuals for more information on the positioning modes.

Position Type | Description
None | A position solution has not been computed.
Fixed | The position has been fixed using the FIX command with the fix type set to POSITION.
Fixed Height | The height of the receiver has been fixed using the using the FIX command with the fix type set to HEIGHT.
Fixed Velocity | The velocity of the receiver has been fixed using the FIX command with the fix type set to VELOCITY.
Doppler Vel | The velocity has been computed using instantaneous Doppler measurements.
Single | The position has been computed using single point methods.
PSR Diff | The position has been computed using pseudorange differential methods.
WAAS | The position has been computed using corrections from a Satellite Based Augmentation System (SBAS). Only valid for models that support SBAS positioning.
OmniStar | The position has been computed using OmniSTAR virtual base station (VBS) mode. Only valid for models that support OmniSTAR positioning.
L1 Float | Floating L1 ambiguity solution.
ION Free Float | Floating ionospheric-free ambiguity solution.
Narrow Float | Floating narrow-lane ambiguity solution.
L1 Integer | Integer L1 ambiguity solution.
Wide Integer | Integer wide-lane ambiguity solution.
Narrow Integer | Integer narrow-lane ambiguity solution.
RTK Direct Ins | Real-time kinematic (RTK) positioning with the RTK filter directly initialized from the inertial navigation system (INS) filter. Only valid for receivers that support use with an inertial measurement unit.
INS | Inertial navigation system (INS) position corrected for the antenna. Only valid for receivers that support use with an inertial measurement unit.
Single Ins | Single-point positioning with INS support. Only valid for receivers that support use with an inertial measurement unit.
PSR Diff Ins | Pseudorange differential positioning with INS support. Only valid for receivers that support use with an inertial measurement unit.
RTK Float Ins | Floating RTK positioning with INS support. Only valid for receivers that support use with an inertial measurement unit.
RTK Fixed Ins | Fixed RTK positioning with INS support. Only valid for receivers that support use with an inertial measurement unit.
OmniStar HP | The position has been computed using OmniSTAR high-performance (HP) mode. Only valid for models that support OmniSTAR positioning.


Reference Position

The position of the receiver when GPSolution was started or when the Reset Plan button was last selected. The reference position is used to show the starting point of the receiver in the Plan window.


Responses

A message from the receiver to indicate whether a command was accepted or not. All Abbreviated ASCII format responses are displayed in the Console window. See your product user manuals for a list of possible responses and response formats.


RINEX Format

The Receiver-Independent Exchange (RINEX) format is a widely-accepted, ASCII file format used to collect GPS data. See your product manuals for more information on NovAtel logs that can be converted to RINEX format.


SAVECONFIG

Ensure that all other windows are closed in GPSolution when entering the SAVECONFIG command in the Console window. Otherwise, log commands used for the various windows will be saved as well. This will result in unnecessary data being output by the receiver on its next power-up.

Entering SAVECONFIG will save the command settings entered in the Logging Control window. Only use SAVECONFIG if you understand the results of all your input commands, as described in your product manuals.


Show History

An option in the Plan window that, when enabled, causes the display to show all past positions in addition to the current position.


Solution Status

Indicates whether or not the position has been computed and, if not, provides a possible reason. The possible values are listed in the table below. Please see your product user manuals for more information.

Solution Status | Description
Computed | Solution computed.
Insuff Obs | Insufficient observations.
No Coverg | No convergence.
Singular | Singularity at parameters matrix.
Covar Trace | Covariance trace exceeds maximum (trace is greater than 1000 m).
Tst Dist | Test distance has been exceeded (maximum of 3 rejections if distance is greater than 10 km).
Cold Start | Not yet converged from cold start.
V H Limits | Height or velocity limits (in accordance with COCOM export licensing restrictions) have been exceeded.
Variance | Variance has exceeded limits.
Residuals | Residuals are too large.
Delta Pos | Delta position is too large.
Neg Var | Negative variance.
Integ Warn | Integrity warning as large residuals make the position unreliable.
INS Inactive | The inertial navigation system (INS) is inactive. Only valid for receivers that support use with an inertial measurement unit.
INS Aligning | The INS is aligning. Only valid for receivers that support use with an inertial measurement unit.
INS Bad | The INS is not working properly. Only valid for receivers that support use with an inertial measurement unit.
IMU Unplugged | The inertial measurement unit (IMU) is not connected to the receiver. Only valid for receivers that support use with an inertial measurement unit.


Synchronous

A type of log for which the log data is generated on a regular schedule.


Trigger

The trigger is the condition to be met for a log to be generated and can be set in the Logging Control window. The available triggers are:

Trigger | Description
On New | Output a new log whenever the log data is updated (but not necessarily changed).
On Changed | Output a new log whenever the log data has changed.
On Time | Output a new log at a specified interval or period.
On Next | Output the next set of log data to be generated. Only a single log will be output.
Once | Output the current set of log data. Only a single log will be output.
On Mark | Output when a pulse is detected on the Mark 1 input (MK1I) pin only. Events on MK2I (if available) do not trigger logs when ONMARK is used. Refer to the specifications in Volume 1 of the OEM4 User Manual for more details on MKI1.

The trigger selected must be compatible with the log type. The table below outlines the valid triggers for each log type.

Log Type | Recommended Triggers | Invalid Triggers
Synchronous | On Time | On New On Changed
Asynchronous | On Changed | -
Polled | Once | On New On Changed

*

Asynchronous logs, such as MATCHEDPOS, should only be logged ONCHANGED. Otherwise, the most current data is not output when it is available. This is especially true of the ONTIME trigger, which may cause inaccurate time tags to result.

Use the ONNEW trigger with the MARKTIME or MARKPOS logs.


Window Toolbar

A toolbar containing buttons to open the status and control windows within GPSolution.

It is displayed when the Window Toolbar option in the Toolbars tab of the Options dialog box is enabled.